Subject: Re: [Patch net-next v3] netpoll: fix a rtnl lock assertion failure

From: Cong Wang <[email-masked]>
Date: Tue, 15 Jan 2013 10:23:45 +0800

On Mon, 2013-01-14 at 09:09 -0800, Eric Dumazet wrote:
> On Mon, 2013-01-14 at 09:07 -0800, Eric Dumazet wrote:
> 
> > Strange, why dont we call netdev_master_upper_dev_get() instead ?
> > 
> > 
> 
> What I meant is : the result of this check might be of little use, if we
> don't hold any lock preventing another thread to change things behind
> us.
> 
> 

Even if so, enslaving this device can still happen after we release the
rtnl lock, unless we take this lock for the whole netpoll_setup().

Am I missing anything?